#
# spec file for package rubygem-thor-0_19
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-thor-0_19
Version:        0.19.4
Release:        3.5
%define mod_name thor
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -0_19
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://whatisthor.com/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Thor is a toolkit for building powerful command-line interfaces
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Thor is a toolkit for building powerful command-line interfaces.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Fri Dec  9 2016 coolo@suse.com
- updated to version 0.19.4
  see installed CHANGELOG.md
* Sun Nov 27 2016 coolo@suse.com
- updated to version 0.19.3
  see installed CHANGELOG.md
  [#]# 0.19.1, release 2014-03-24
  * Fix `say` non-String break regression
  [#]# 0.19.0, release 2014-03-22
  * Add support for a default to #ask
  * Avoid @namespace not initialized warning
  * Avoid private attribute? warning
  * Fix initializing with unknown options
  * Loosen required_rubygems_version for compatibility with Ubuntu 10.04
  * Shell#ask: support a noecho option for stdin
  * Shell#ask: change API to be :echo => false
  * Display a message without a stack trace for ambiguous commands
  * Make say and say_status thread safe
  * Dependency for console io version check
  * Alias --help to help on subcommands
  * Use mime-types 1.x for Ruby 1.8.7 compatibility for Ruby 1.8 only
  * Accept .tt files as templates
  * Check if numeric value is in enum
  * Use Readline for user input
  * Fix dispatching of subcommands (concerning :help and *args)
  * Fix warnings when running specs with `$VERBOSE = true`
  * Make subcommand help more consistent
  * Make the current command chain accessible in command
* Thu Oct 23 2014 tboerger@suse.com
- Updated last pieces for new macros (fate#318281, boo#1041418)
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar 24 2014 coolo@suse.com
- updated to version 0.19.1, no changelog
* Sun Mar 23 2014 coolo@suse.com
- updated to version 0.19.0, no changelog
* Sat Jul 20 2013 coolo@suse.com
- fix update-alternatives usage
* Fri Apr 12 2013 coolo@suse.com
- updated to version 0.18.1
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.17.0
  * Add better support for tasks that accept arbitrary additional arguments (e.g. things like `bundle exec`)
  * Add #stop_on_unknown_option!
  * Only strip from stdin.gets if it wasn't ended with EOF
  * Allow "send" as a task name
  * Allow passing options as arguments after "--"
  * Autoload Thor::Group
* Sun Aug 26 2012 coolo@suse.com
- updated to version 0.16.0
  * Add enum to string arguments
* Wed Aug  1 2012 coolo@suse.com
- update to 0.15.4
  * Fix regression when destination root contains reserved regexp characters
  == 0.15.3, release 2012-06-18
  * Support strict_args_position! for backwards compatibility
  * Escape Dir glob characters in paths
  == 0.15.2, released 2012-05-07
  * Added print_in_columns
  * Exposed terminal_width as a public API
  == 0.15.1, release 2012-05-06
  * Fix Ruby 1.8 truncation bug with unicode chars
  * Fix shell delegate methods to pass their block
  * Don't output trailing spaces when printing the last column in a table
  == 0.15, released 2012-04-29
  * Alias method_options to options
  * Refactor say to allow multiple colors
  * Exposed error as a public API
  * Exposed file_collision as a public API
  * Exposed print_wrapped as a public API
  * Exposed set_color as a public API
  * Fix number-formatting bugs in print_table
  * Fix "indent" typo in print_table
  * Fix Errno::EPIPE when piping tasks to `head`
  * More friendly error messages
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new provisions
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Mon Feb 20 2012 mrueckert@suse.de
- added missing provides
* Tue Aug 16 2011 mrueckert@suse.de
- change license header to "MIT and Ruby" (bnc#712368)
* Wed Jul 20 2011 mrueckert@suse.de
- regenerate with latest gem2rpm
  - split out doc and testsuite subpackages
- add provides for the versioned name used in the requires
* Thu Dec  9 2010 chris@computersalat.de
- update to version 0.14.6
  * Fix a load order bug and add rake as development dependency.
* Thu Nov 18 2010 mrueckert@suse.de
- update to version 0.14.4
* Mon Aug 30 2010 mrueckert@suse.de
- update to version 0.14.0
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.13.6
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Feb 18 2010 prusnak@suse.cz
- created package
